## tth 4.01

=== tth-gui/Makefile ===
MINGW=mingw -mwindows -mconsole

default : tth-gui.exe

%.exe : %.c
	if [ -f $*.coff ]; then $(MINGW) -o $*.exe $*.coff $*.c;\
           else  $(MINGW) -o $*.exe $*.c; fi

clean :
	rm -f tth-gui.exe

=== tthgif/tthold/Makefile ===
all: 
	for number in 0 1 2 3 4 5 6 7 8; do fig2dev -L ppm tt$number.fig tt$number.ppm; done
	for number in 0 1 2 3 4 5 6 7 8; do pnmcrop tt$number.ppm |pnmcrop >ttc$number.ppm; done
	for number in 0 1 2 3 4 5 6 7 8; do ppmtogif ttc$number.ppm >tt$number.gif; done
	gifmerge -l3 -10 tt?.gif -1 tt0.gif >tth_animate.gif

=== debian/changelog ===
tth (4.01-5) unstable; urgency=low

  * tth orphaned.

 -- Ian Maclaine-cross <iml@debian.org>  Thu, 24 Nov 2011 11:57:55 +1100

tth (4.01-4) unstable; urgency=low

  * Remove debian/<package>.menu files (Closes: #648986).
  * Various lintian warning fixes.

 -- Ian Maclaine-cross <iml@debian.org>  Thu, 24 Nov 2011 09:35:21 +1100

tth (4.01-3) unstable; urgency=low

  * Initial release (Closes: #611236, #489183, #533027)
    Source tth has been split into 2 binary packages, tth and ttm, and
    one tth utility package, tth-common, used by both.
  * Release 4.01 has copyright license GPL-2 and complete source code
    so tth now satisfies the DFSG.

 -- Ian Maclaine-cross <iml@debian.org>  Wed, 9 Feb 2011 17:30:00 +1100

=== debian/control ===
Source: tth
Section: tex
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: flex, texlive, texlive-latex-extra, debhelper (>= 7.0.50~)
Standards-Version: 3.9.2
#Vcs-Git: git://git.debian.org/collab-maint/tth.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/tth.git;a=summary

Package: ttm 
Architecture: any 
Depends: ${shlibs:Depends}, ${misc:Depends} 
Recommends: tth-common
Suggests: tth
Homepage: http://hutchinson.belmont.ma.us/ttm
Description: TeX/LaTeX to MathML converter 
 LaTeX is popular for specifying complex printed documents. TtM
 translates Plain TeX or LaTeX documents into HTML with their
 mathematics in MathML. It quickly produces web documents that are
 compact, editable and fast viewing.  TtM translates almost all
 equations instead of converting them into images. TtM is a sister to
 TtH in package tth which translates TeX/LaTeX mathematics to HTML.

Package: tth
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: tth-common
Suggests: ttm
Homepage: http://hutchinson.belmont.ma.us/tth
Description: TeX/LaTeX to HTML converter
 LaTeX is popular for specifying complex printed documents. TtH translates
 Plain TeX or LaTeX documents into HTML. It quickly produces web documents 
 that are compact, editable and fast viewing.  TtH translates most equations
 instead of converting them into images.  This HTML preserves much format
 when imported by MS Word.

Package: tth-common 
Architecture: any
Depends: texlive, ghostscript, netpbm, ${shlibs:Depends}, ${misc:Depends}
Homepage: http://hutchinson.belmont.ma.us/tth
Description: Scripts common to tth and ttm   
 TtH and TtM need texlive to generate auxiliary files for cross
 references and content tables. Complex equations and graphics require
 gs and netpbm to convert PostScript output from teTeX to images.

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage
# <Webpage URL> <string match>
#http://www.example.com/downloads.php tth-(.*)\.tar\.gz
# http://sourceforge.net/projects/tth/files/download.php tth(.*)\.tar\.gz
#https://tth.svn.sourceforge.net/svnroot/tth/trunk/CHANGES

# Uncomment to examine a Webserver directory
#http://www.example.com/pub/tth-(.*)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/tth-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
# http://sf.net/tth/tth-(.*)\.tar\.gz
opts="uversionmangle=s/_/\./" \
http://sf.net/tth/tth(.*)\.tar\.gz

# Uncomment to find new files on GooglePages
# http://example.googlepages.com/foo.html tth-(.*)\.tar\.gz

## tth 4.03+ds

=== debian/changelog ===
tth (4.03+ds-3) unstable; urgency=low

  * Bump Standards Version to 3.9.4.
  * debian/control:
    - Vcs-* headers added;
    - unduplicate homepage field in packages tth and tth-common;
    - correct a spelling error revealed by lintian.
  * debian/copyright:
    - unduplicate copyright field.
  * debian/rules:
    - default target, add the option --report to uscan: no more download
      is now performed;
    - override dh_auto_clean for passing the option --ignore-errors :
      debuild now bypasses the cleaning stage.
  * debian/*:
    - clean triming whitespaces.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 17 May 2013 01:09:28 +0000

tth (4.03+ds-2) unstable; urgency=low

  * Bump debhelper build-dep to >= 9.
  * Bump Standards Version to 3.9.3.
  * Hardened.
  * Gather debian samples into debian/samples.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 01 Mar 2012 21:55:25 +0000

tth (4.03+ds-1) unstable; urgency=low

  * New upstream version.
  * New maintainer (Closes: #652131).
  * Repack the source to reduce drastically its weight by cleaning up and
    by wiping out material not meant for UN*X source.
  * Add the optional get-orig-source target in debian/rules to get the currently
    packaged upstream tarball and to repack it.
  * Various lintian warning fixes.
  * Various C compiler warning fixes.
  * All shell scripts have now /bin/sh as shebang.
  * Rename gold_man.html to tthgold_manual.html for consistency.
  * Add doc-base data for tthgold_manual.html.
  * Bump debhelper build-dep to >= 8.
  * Convert debian/copyright to DEP-5 format.
  * Debianize makefile to enable a minimal debian/rules.
  * Cleanup debian/rules.
  * Cleanup debian/control.
  * Cleanup watch file.
  * Cleanup man pages.
  * Gather debian samples into debian/examples.
  * Add a default target in debian/rules which basically queries package status
    with uscan; output in DEHS format.
  * Update debian/copyright wrt repacking.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 27 Feb 2012 01:21:48 +0000

tth (3.67-4) unstable; urgency=low

  * tth executable tests added to package build scripts.
  * debian/rules modified to compile without optimization
    for powerpc as requested by Frank.

 -- Ian Maclaine-cross <iml@debian.org>  Fri, 18 Mar 2005 21:13:57 +1100

tth (3.67-3) unstable; urgency=low

  * Frank's patch removed.

 -- Ian Maclaine-cross <iml@debian.org>  Fri, 18 Mar 2005 01:42:29 +1100

tth (3.67-2) unstable; urgency=low

  * patch for powerpc segfault from Frank Lichtenheld <djpig@debian.org>
    (Closes: #298149)

 -- Ian Maclaine-cross <iml@debian.org>  Tue, 15 Mar 2005 03:03:05 +1100

tth (3.67-1) unstable; urgency=low

  * New upstream release

 -- Ian Maclaine-cross <iml@debian.org>  Sun, 20 Feb 2005 10:21:16 +1100

tth (3.60-1) unstable; urgency=low

  * New upstream release

 -- Ian Maclaine-cross <iml@debian.org>  Fri, 21 May 2004 10:21:40 +1000

tth (3.59-1) unstable; urgency=low

  * New upstream release (Closes: #236238)

 -- Ian Maclaine-cross <iml@debian.org>  Mon,  2 Feb 2004 10:21:26 +1100

tth (3.57-1) unstable; urgency=low

  * New upstream release

 -- Ian Maclaine-cross <iml@debian.org>  Sun, 25 Jan 2004 10:21:29 +1100

tth (3.52-1) unstable; urgency=low

  * New upstream release

 -- Ian Maclaine-cross <iml@debian.org>  Fri,  2 Jan 2004 10:21:21 +1100

tth (3.45-1) unstable; urgency=low

  * New upstream release

 -- Ian Maclaine-cross <iml@debian.org>  Tue,  4 Nov 2003 10:21:23 +1100

tth (3.40-1) unstable; urgency=low

  * New upstream release

 -- Ian Maclaine-cross <iml@debian.org>  Sat,  7 Jun 2003 13:00:29 +1000

tth (3.38-3) unstable; urgency=low

  * Fixed index.html

 -- Ian Maclaine-cross <iml@debian.org>  Sun,  1 Jun 2003 18:27:05 +1000

tth (3.38-2) unstable; urgency=low

  * Converted from debmake to debhelper.
    No differences found by debdiff and tests.

 -- Ian Maclaine-cross <iml@debian.org>  Sun,  1 Jun 2003 16:26:27 +1000

tth (3.38-1) unstable; urgency=low

  * New upstream release
  * debian/update script added to diff.
  * Build-Depends in debian/control removed.

 -- Ian Maclaine-cross <iml@debian.org>  Sun,  1 Jun 2003 14:09:22 +1000

tth (3.37-1) unstable; urgency=low

  * New upstream release

 -- Ian Maclaine-cross <iml@debian.org>  Mon, 26 May 2003 10:21:22 +1000

tth (3.34-1) unstable; urgency=low

  * New upstream release

 -- Ian Maclaine-cross <iml@debian.org>  Sun, 13 Apr 2003 10:21:22 +1000

tth (3.33-1) unstable; urgency=low

  * New upstream release

 -- Ian Maclaine-cross <iml@debian.org>  Mon, 24 Feb 2003 10:21:25 +1100

tth (3.13-1) unstable; urgency=low

  * New upstream release

 -- Ian Maclaine-cross <iml@debian.org>  Tue,  8 Oct 2002 21:10:14 +1000

tth (3.12-1) unstable; urgency=low

  * New upstream release

 -- Ian Maclaine-cross <iml@debian.org>  Fri, 19 Jul 2002 16:32:02 +1000

tth (3.11-1) unstable; urgency=low

  * New upstream release

 -- Ian Maclaine-cross <iml@debian.org>  Thu,  6 Jun 2002 10:56:13 +1000

tth (3.08-1) unstable; urgency=low

  * New upstream release

 -- Ian Maclaine-cross <iml@debian.org>  Mon, 15 Apr 2002 21:10:17 +1000

tth (3.07-2) unstable; urgency=low

  * Corrected upstream version number to 3.07 in tth

 -- Ian Maclaine-cross <iml@debian.org>  Mon,  8 Apr 2002 19:58:35 +1000

tth (3.07-1) unstable; urgency=low

  * New upstream release

 -- Ian Maclaine-cross <iml@debian.org>  Fri,  5 Apr 2002 21:10:25 +1000

tth (3.06-1) unstable; urgency=low

  * New upstream release

 -- Ian Maclaine-cross <iml@debian.org>  Mon, 25 Mar 2002 21:10:16 +1100

tth (3.05-1) unstable; urgency=low

  * New upstream release

 -- Ian Maclaine-cross <iml@debian.org>  Tue, 15 Jan 2002 21:10:26 +1100

tth (3.03-1) unstable; urgency=low

  * New upstream release

 -- Ian Maclaine-cross <iml@debian.org>  Sun,  2 Dec 2001 21:10:26 +1100

tth (3.02-1) unstable; urgency=low

  * New upstream release

 -- Ian Maclaine-cross <iml@debian.org>  Sat, 20 Oct 2001 21:01:30 +1000

tth (3.01-4) unstable; urgency=low



=== debian/control ===
Source: tth
Section: tex
Priority: optional
Maintainer: Debian Tex Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Jerome Benoit <calculus@rezozer.net>
Build-Depends: debhelper (>= 9), flex, texlive, texlive-latex-extra
Standards-Version: 3.9.4
Homepage: http://hutchinson.belmont.ma.us/tth
Vcs-Git: git://git.debian.org/git/debian-tex/tth.git
Vcs-Browser: http://git.debian.org/?p=debian-tex/tth.git

Package: ttm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: tth-common
Suggests: tth
Homepage: http://hutchinson.belmont.ma.us/ttm
Description: TeX/LaTeX to MathML converter
 LaTeX is popular for specifying complex printed documents.
 TtM translates Plain TeX or LaTeX sources into HTML documents
 with their mathematics in MathML. It quickly produces web documents
 that are compact, editable and fast viewing. TtM translates almost all
 equations instead of converting them into images. TtM is a sister to
 TtH in package tth which translates TeX/LaTeX mathematics to HTML.

Package: tth
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: tth-common
Suggests: ttm
Description: TeX/LaTeX to HTML converter
 LaTeX is popular for specifying complex printed documents.
 TtH translates Plain TeX or LaTeX sources into HTML documents.
 It quickly produces web documents that are compact, editable
 and fast viewing. TtH translates most equations
 instead of converting them into images. This HTML preserves much format
 when imported by MS Word.

Package: tth-common
Architecture: any
Depends: texlive, ghostscript, netpbm, ${shlibs:Depends}, ${misc:Depends}
Description: auxiliary software material for TtH and TtM
 TtH and TtM convert TeX or LaTeX sources into HTML and MathML documents
 respectively: complex equations and graphics require auxiliary software
 material built upon [La]TeX friends, in particular upon tools to convert
 PostScript outputs into images.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean -- --ignore-errors

get-orig-source:
	uscan --no-conf --download-current-version --verbose

=== debian/watch ===
version=3
opts="uversionmangle=s/_/\./,dversionmangle=s/\+ds//" \
http://sf.net/tth/tth(.*)\.tar\.gz \
debian sh debian/repack

## tth 4.03-0

=== DESCRIPTION ===
Package: tth
Version: 4.03-0
Date: 2012-12-14
Authors@R: c(person(c("Ian", "H."), "Hutchinson", role = "aut", comment
        = "author of tth/ttm C sources"), person("Friedrich", "Leisch",
        role = c("aut", "cre"), email =
        "Friedrich.Leisch@R-project.org", comment = "author of R
        wrappers to tth/ttm"), person("Achim", "Zeileis", role = "aut",
        email = "Achim.Zeileis@R-project.org", comment = "author of R
        wrappers to tth/ttm"))
Title: TeX to HTML/MathML Translators tth/ttm
Depends: R (>= 2.14.0)
Description: C source code and R wrappers for the tth/ttm TeX to
        HTML/MathML translators.
License: GPL-2
Packaged: 2012-12-14 10:22:36 UTC; leisch
Author: Ian H. Hutchinson [aut] (author of tth/ttm C sources),
        Friedrich Leisch [aut, cre] (author of R wrappers to tth/ttm),
        Achim Zeileis [aut] (author of R wrappers to tth/ttm)
Maintainer: Friedrich Leisch <Friedrich.Leisch@R-project.org>
Repository: CRAN
Date/Publication: 2012-12-14 12:27:25

=== src/Makefile ===
all: tth ttm

tth: tth.c
	$(CC) $(LDFLAGS) $(CFLAGS) -o tth tth.c 

ttm: ttm.c
	$(CC) $(LDFLAGS) $(CFLAGS) -o ttm ttm.c 

clean:
	rm -f tth ttm

## tth 4.3-1

=== DESCRIPTION ===
Package: tth
Version: 4.3-1
Date: 2012-06-10
Authors@R: c(person(c("Ian", "H."), "Hutchinson", role = "aut",
	       comment = "author of tth/ttm C sources"),
	     person("Friedrich", "Leisch", role = c("aut", "cre"),
	       email = "Friedrich.Leisch@R-project.org", 
               comment = "author of R wrappers to tth/ttm"),
	     person("Achim", "Zeileis", role = "aut",
	       email = "Achim.Zeileis@R-project.org", 
               comment = "author of R wrappers to tth/ttm"))
Title: TeX to HTML/MathML Translators tth/ttm
Depends: R (>= 2.14.0)
Description: C source code and R wrappers for the tth/ttm TeX to 
  HTML/MathML translators.
License: GPL-2
Packaged: 2013-06-10 09:36:12 UTC; leisch
Author: Ian H. Hutchinson [aut] (author of tth/ttm C sources),
  Friedrich Leisch [aut, cre] (author of R wrappers to tth/ttm),
  Achim Zeileis [aut] (author of R wrappers to tth/ttm)
Maintainer: Friedrich Leisch <Friedrich.Leisch@R-project.org>

## tth 4.3-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: tth
-Version: 4.3-1
-Date: 2012-06-10
+Version: 4.3-2
+Date: 2014-07-11
 Authors@R: c(person(c("Ian", "H."), "Hutchinson", role = "aut",
 	       comment = "author of tth/ttm C sources"),
 	     person("Friedrich", "Leisch", role = c("aut", "cre"),
@@ -14,8 +14,11 @@
 Description: C source code and R wrappers for the tth/ttm TeX to 
   HTML/MathML translators.
 License: GPL-2
-Packaged: 2013-06-10 09:36:12 UTC; leisch
+Packaged: 2014-07-11 10:37:50 UTC; zeileis
 Author: Ian H. Hutchinson [aut] (author of tth/ttm C sources),
   Friedrich Leisch [aut, cre] (author of R wrappers to tth/ttm),
   Achim Zeileis [aut] (author of R wrappers to tth/ttm)
 Maintainer: Friedrich Leisch <Friedrich.Leisch@R-project.org>
+NeedsCompilation: yes
+Repository: CRAN
+Date/Publication: 2014-07-11 13:02:28

## tth 4.3-2-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: tth
-Version: 4.3-2
+Version: 4.3-2-1
 Date: 2014-07-11
 Authors@R: c(person(c("Ian", "H."), "Hutchinson", role = "aut",
 	       comment = "author of tth/ttm C sources"),
@@ -14,11 +14,11 @@
 Description: C source code and R wrappers for the tth/ttm TeX to 
   HTML/MathML translators.
 License: GPL-2
-Packaged: 2014-07-11 10:37:50 UTC; zeileis
+Packaged: 2016-04-15 07:27:55 UTC; ligges
 Author: Ian H. Hutchinson [aut] (author of tth/ttm C sources),
   Friedrich Leisch [aut, cre] (author of R wrappers to tth/ttm),
   Achim Zeileis [aut] (author of R wrappers to tth/ttm)
 Maintainer: Friedrich Leisch <Friedrich.Leisch@R-project.org>
 NeedsCompilation: yes
 Repository: CRAN
-Date/Publication: 2014-07-11 13:02:28
+Date/Publication: 2016-04-15 09:42:55

## tth 4.05+ds

=== debian/changelog ===
tth (4.05+ds-2) unstable; urgency=medium

  * Secure release (Closes: #792181): reproducible builds --- thanks to
    Reiner Herrmann <reiner@reiner-h.de> for providing the patch.
  * Debianization:
    - Standards Version, bump to 3.9.6;
    - debian/copyrigth, refresh;
    - debian/rules, harden.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 25 Oct 2015 02:19:55 +0000

tth (4.05+ds-1) unstable; urgency=medium

  * New upstream version.
  * Workaround for the outside parent directory writing restriction
    imposed by texlive by default (`openout_any = p' in texmf.cnf).

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 20 Aug 2014 06:25:41 +0000

tth (4.04+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - Standards Version, bump to 3.9.5;
    - debian/control:
      - source Build-Depends field, revisit;
      - tth-common Depends field, revisit;
      - Vcs-* fields, canonize;
    - debian/copyright, refresh;
    - debian/repack, improve;
    - gpg-signature check support, neutralize (the upstream maintainer
      kindly provided a gpg signature, but unfortunately at the packaging
      time the sf redirector experiences troubles (#752384)).

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 09 Aug 2014 14:34:55 +0000

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,13 @@
 Priority: optional
 Maintainer: Debian Tex Maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
-Build-Depends: debhelper (>= 9), flex, texlive, texlive-latex-extra
-Standards-Version: 3.9.4
+Build-Depends:
+ debhelper (>= 9), flex,
+ texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra
+Standards-Version: 3.9.6
 Homepage: http://hutchinson.belmont.ma.us/tth
-Vcs-Git: git://git.debian.org/git/debian-tex/tth.git
-Vcs-Browser: http://git.debian.org/?p=debian-tex/tth.git
+Vcs-Git: git://anonscm.debian.org/debian-tex/tth.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-tex/tth.git
 
 Package: ttm
 Architecture: any
@@ -38,7 +40,10 @@
 
 Package: tth-common
 Architecture: any
-Depends: texlive, ghostscript, netpbm, ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ texlive-latex-recommended, texlive-fonts-recommended,
+ ghostscript, netpbm,
+ ${shlibs:Depends}, ${misc:Depends}
 Description: auxiliary software material for TtH and TtM
  TtH and TtM convert TeX or LaTeX sources into HTML and MathML documents
  respectively: complex equations and graphics require auxiliary software

=== debian/watch ===
version=3
opts=uversionmangle=s/_/\./,dversionmangle=s/\+ds// \
http://sf.net/tth/tth(.*)\.tar\.gz \
debian sh debian/repack

## tth 4.08%2Bds

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 default:
 	@uscan --no-conf --dehs --report || true

=== debian/watch ===
version=3
opts=uversionmangle=s/_/\./,dversionmangle=s/\+ds//,pgpsigurlmangle=s/$/.asc/ \
http://sf.net/tth/tth(.*)\.tar\.gz \
debian sh debian/repack

## tth 4.08+ds

=== debian/changelog ===
tth (4.08+ds-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Mark all packages Multi-Arch: foreign. (Closes: #842593)

  [ Norbert Preining ]
  * bump standards version, no changes necessary

  [ Jerome Benoit ]
  * Debianization:
    - debian/control:
      - Vcs-* fields, secure;
    - debian/rules:
      - dpkg-buildflags, add hardening=+all;
    - debian/tests, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 31 Oct 2016 02:49:07 +0000

tth (4.08+ds-1) unstable; urgency=medium

  * New upstream release.
  * Debianization:
    - debian/control, Vcs-Browse field correction;
    - debian/repack, refresh;
    - add gpg-signature check support.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 04 Nov 2015 00:17:56 +0000

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,14 @@
 Build-Depends:
  debhelper (>= 9), flex,
  texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://hutchinson.belmont.ma.us/tth
-Vcs-Git: git://anonscm.debian.org/debian-tex/tth.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-tex/tth.git
+Vcs-Git: https://anonscm.debian.org/git/debian-tex/tth.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-tex/tth.git
 
 Package: ttm
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: tth-common
 Suggests: tth
@@ -27,6 +28,7 @@
 
 Package: tth
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: tth-common
 Suggests: ttm
@@ -40,6 +42,7 @@
 
 Package: tth-common
 Architecture: any
+Multi-Arch: foreign
 Depends:
  texlive-latex-recommended, texlive-fonts-recommended,
  ghostscript, netpbm,

## tth 4.10+ds

=== debian/changelog ===
tth (4.10+ds-1) unstable; urgency=medium

  * New upstream release.
  * Debianization:
    - debian/copyright:
      - Files-Excluded field, introduce;
      - copyright year tuples, refresh;
    - debian/control:
      - debhelper, bump to 10;
      - Standards Version, bump to 4.1.0;
    - debian/watch:
      - version, bump to 4;
      - ad hoc repack, discard;
    - debian/repack, discard.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 14 Sep 2017 10:18:49 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian Tex Maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Build-Depends:
- debhelper (>= 9), flex,
+ debhelper (>= 10), flex,
  texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: http://hutchinson.belmont.ma.us/tth
 Vcs-Git: https://anonscm.debian.org/git/debian-tex/tth.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-tex/tth.git

=== debian/watch ===
version=4
opts=repack,repacksuffix=+ds,compression=xz,uversionmangle=s/_/\./,dversionmangle=s/\+ds//,pgpsigurlmangle=s/$/.asc/ \
http://sf.net/tth/tth(.*)\.tar\.gz

## tth 4.12+ds

=== debian/changelog ===
tth (4.12+ds-2) unstable; urgency=medium

  * Debianization:
    - debian/control:
      - Vcs-* fields, migration to salsa.debian.org ;
    - debian/copyright:
      - Format field, serure URI;
    - debian/patches/*:
      - spelling error, correct.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 16 Feb 2018 14:05:04 +0000

tth (4.12+ds-1) unstable; urgency=medium

  * New upstream release.
  * Debianization:
    - debian/control:
      - debhelper, bump to 11;
      - Standards Version, bump to 4.1.3 (no change);
    - debian/watch:
      - source, secure.
    - debian/upstream, clear signing-key;
    - debian/patches/*:
      - d/p/debianization.patch, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 31 Dec 2017 09:37:10 +0000

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian Tex Maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Build-Depends:
- debhelper (>= 10), flex,
+ debhelper (>= 11), flex,
  texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra
-Standards-Version: 4.1.0
+Standards-Version: 4.1.3
 Homepage: http://hutchinson.belmont.ma.us/tth
-Vcs-Git: https://anonscm.debian.org/git/debian-tex/tth.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-tex/tth.git
+Vcs-Git: https://salsa.debian.org/tex-team/tth.git
+Vcs-Browser: https://salsa.debian.org/tex-team/tth
 
 Package: ttm
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 default:
 	@uscan --no-conf --dehs --report || true

=== debian/tests/control ===
Test-Command: tth -r < /usr/share/texlive/texmf-dist/tex/latex/base/small2e.tex > $ADTTMP/small2r.html
Depends: tth, texlive-latex-base
Restrictions: allow-stderr

Test-Command: tth -r < /usr/share/texlive/texmf-dist/tex/latex/base/sample2e.tex > $ADTTMP/sample2r.html
Depends: tth, texlive-latex-base
Restrictions: allow-stderr

Test-Command: ttm -r < /usr/share/texlive/texmf-dist/tex/latex/base/small2e.tex > $ADTTMP/small2r.xml
Depends: ttm, texlive-latex-base
Restrictions: allow-stderr

Test-Command: ttm -r < /usr/share/texlive/texmf-dist/tex/latex/base/sample2e.tex > $ADTTMP/sample2r.xml
Depends: ttm, texlive-latex-base
Restrictions: allow-stderr

## tth 4.12-0

=== DESCRIPTION ===
Package: tth
Version: 4.12-0
Date: 2020-03-19
Authors@R: c(person(c("Ian", "H."), "Hutchinson", role = "aut", comment = "author of tth/ttm C sources"),
	     person("Friedrich", "Leisch", role = c("aut", "cre"), email = "Friedrich.Leisch@R-project.org",
                    comment = c(ORCID = "0000-0001-7278-1983", "author of R wrappers to tth/ttm")),
	     person("Achim", "Zeileis", role = "aut", email = "Achim.Zeileis@R-project.org",
                    comment = c(ORCID = "0000-0003-0918-3766", "author of R wrappers to tth/ttm")))
Title: TeX-to-HTML/MathML Translators TtH/TtM
Depends: R (>= 3.0.0)
Description: C source code and R wrappers for the tth/ttm TeX-to-HTML/MathML translators.
License: GPL-2
NeedsCompilation: yes
Packaged: 2020-03-19 14:04:18 UTC; leisch
Author: Ian H. Hutchinson [aut] (author of tth/ttm C sources),
  Friedrich Leisch [aut, cre] (<https://orcid.org/0000-0001-7278-1983>,
    author of R wrappers to tth/ttm),
  Achim Zeileis [aut] (<https://orcid.org/0000-0003-0918-3766>, author of
    R wrappers to tth/ttm)
Maintainer: Friedrich Leisch <Friedrich.Leisch@R-project.org>
Repository: CRAN
Date/Publication: 2020-03-22 08:10:03 UTC

=== src/Makefile ===
CFLAGS = -w

all: tth ttm

tth: tth.c
	$(CC) -w -o tth tth.c 

ttm: ttm.c
	$(CC) -w -o ttm ttm.c 

clean:
	rm -f tth ttm

## tth 4.12-0-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: tth
-Version: 4.12-0
+Version: 4.12-0-1
 Date: 2020-03-19
 Authors@R: c(person(c("Ian", "H."), "Hutchinson", role = "aut", comment = "author of tth/ttm C sources"),
 	     person("Friedrich", "Leisch", role = c("aut", "cre"), email = "Friedrich.Leisch@R-project.org",
@@ -11,7 +11,7 @@
 Description: C source code and R wrappers for the tth/ttm TeX-to-HTML/MathML translators.
 License: GPL-2
 NeedsCompilation: yes
-Packaged: 2020-03-19 14:04:18 UTC; leisch
+Packaged: 2022-03-30 15:11:03 UTC; hornik
 Author: Ian H. Hutchinson [aut] (author of tth/ttm C sources),
   Friedrich Leisch [aut, cre] (<https://orcid.org/0000-0001-7278-1983>,
     author of R wrappers to tth/ttm),
@@ -19,4 +19,4 @@
     R wrappers to tth/ttm)
 Maintainer: Friedrich Leisch <Friedrich.Leisch@R-project.org>
 Repository: CRAN
-Date/Publication: 2020-03-22 08:10:03 UTC
+Date/Publication: 2022-03-30 15:13:55 UTC

## tth 4.15+ds

=== debian/changelog ===
tth (4.15+ds-1) unstable; urgency=medium

  [ Jerome Benoit ]
  * Set upstream metadata fields: Repository-Browse, Bug-Submit,
      Changelog, Documentation, Gallery.

  [ Hilmar Preusse ]
  * New upstream release.
  * Patch cleanup, more Debianization.
  * Bump to Standards version 4.5.0:
    - Remove get-orig-source rules target;
    - Rules-Requires-Root: no
  * Bump to debhelper 13.
  * Discard debian/options.

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.
  * Set upstream metadata fields: Archive, Repository.
  * Fix day-of-week for changelog entry 2.88-1.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 04 Nov 2020 19:55:23 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,12 @@
 Maintainer: Debian Tex Maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Build-Depends:
- debhelper (>= 11), flex,
- texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra
-Standards-Version: 4.1.3
+ debhelper-compat (= 13), flex,
+ texlive-latex-recommended,
+ texlive-fonts-recommended,
+ texlive-latex-extra
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Homepage: http://hutchinson.belmont.ma.us/tth
 Vcs-Git: https://salsa.debian.org/tex-team/tth.git
 Vcs-Browser: https://salsa.debian.org/tex-team/tth

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,3 @@
 
 override_dh_auto_clean:
 	dh_auto_clean -- --ignore-errors
-
-get-orig-source:
-	uscan --no-conf --download-current-version --verbose

## tth 4.16+ds

=== debian/changelog ===
tth (4.16+ds-1) unstable; urgency=medium

  * New upstream minor release.
  * Debianization:
    - d/u/signing-key.asc, update;
    - d/copyright:
      - Copyright year-tuples, update;
    - d/control:
      - Standards Version, bump to 4.6.1 (no change).

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 11 Dec 2022 15:33:00 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  texlive-fonts-recommended,
  texlive-latex-extra
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: http://hutchinson.belmont.ma.us/tth
 Vcs-Git: https://salsa.debian.org/tex-team/tth.git
 Vcs-Browser: https://salsa.debian.org/tex-team/tth

=== debian/tests/control ===
Test-Command: tth -r < /usr/share/texlive/texmf-dist/tex/latex/base/small2e.tex > $AUTOPKGTEST_TMP/small2r.html
Depends: tth, texlive-latex-base
Restrictions: allow-stderr

Test-Command: tth -r < /usr/share/texlive/texmf-dist/tex/latex/base/sample2e.tex > $AUTOPKGTEST_TMP/sample2r.html
Depends: tth, texlive-latex-base
Restrictions: allow-stderr

Test-Command: ttm -r < /usr/share/texlive/texmf-dist/tex/latex/base/small2e.tex > $AUTOPKGTEST_TMP/small2r.xml
Depends: ttm, texlive-latex-base
Restrictions: allow-stderr

Test-Command: ttm -r < /usr/share/texlive/texmf-dist/tex/latex/base/sample2e.tex > $AUTOPKGTEST_TMP/sample2r.xml
Depends: ttm, texlive-latex-base
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=repack,repacksuffix=+ds,compression=xz,uversionmangle=s/_/\./,dversionmangle=s/\+ds//,pgpsigurlmangle=s/$/.asc/ \
https://sf.net/tth/tth(.*)\.tar\.gz

## tth 4.16-0

=== DESCRIPTION ===
Package: tth
Version: 4.16-0
Date: 2024-04-26
Authors@R: c(person(c("Ian", "H."), "Hutchinson", role = "aut", comment = "author of tth/ttm C sources"),
	     person("Friedrich", "Leisch", role = "aut", email = "Friedrich.Leisch@R-project.org",
                    comment = c(ORCID = "0000-0001-7278-1983", "author of R wrappers to tth/ttm, maintainer 2012-2024")),
	     person("Achim", "Zeileis", role = c("aut", "cre"), email = "Achim.Zeileis@R-project.org",
                    comment = c(ORCID = "0000-0003-0918-3766", "author of R wrappers to tth/ttm")))
Title: TeX-to-HTML/MathML Translators TtH/TtM
Depends: R (>= 3.0.0)
Description: C source code and R wrappers for the tth/ttm TeX-to-HTML/MathML translators.
License: GPL-2
SystemRequirements: USE_C17
NeedsCompilation: yes
Packaged: 2024-04-26 16:57:35 UTC; zeileis
Author: Ian H. Hutchinson [aut] (author of tth/ttm C sources),
  Friedrich Leisch [aut] (<https://orcid.org/0000-0001-7278-1983>, author
    of R wrappers to tth/ttm, maintainer 2012-2024),
  Achim Zeileis [aut, cre] (<https://orcid.org/0000-0003-0918-3766>,
    author of R wrappers to tth/ttm)
Maintainer: Achim Zeileis <Achim.Zeileis@R-project.org>
Repository: CRAN
Date/Publication: 2024-04-26 17:19:00 UTC
